TimerStatus (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.time
Class TimerStatus

    java.lang.Object
      com.bbn.openmap.time.TimerStatus

All Implemented Interfaces:
  java.io.Serializable

    public class TimerStatus

extends java.lang.Object
implements java.io.Serializable

TimerStatus objects accompany TimeEvents to describe what's going on with the application clock, or the reason the current time has changed.

See Also:
  Serialized Form

Field Summary
`static TimerStatus` | `ACTIVE` Indicates that the clock is active and may be sending events.
`static TimerStatus` | `BACKWARD` Indicates the clock is running, and time has been decremented by the clock.
`protected java.lang.String` | `description`
`static TimerStatus` | `FORWARD` Indicates the clock is running, and time has been incremented by the clock.
`static TimerStatus` | `INACTIVE` Indicates that the clock is inactive and will not be sending events.
`static TimerStatus` | `STEP_BACKWARD` Indicates that the clock has been moved incrementally backward, stepping by a set value controlled by some other mechanism.
`static TimerStatus` | `STEP_FORWARD` Indicates that the clock has been moved incrementally forward, stepping by a set value controlled by some other mechanism.
`static TimerStatus` | `STOPPED` Indicates that the clock is no longer running.
`static java.lang.String` | `TIMER_ACTIVE` Command string for clock controllers.
`static java.lang.String` | `TIMER_BACKWARD` Command string for clock controllers.
`static java.lang.String` | `TIMER_FORWARD` Command string for clock controllers.
`static java.lang.String` | `TIMER_INACTIVE` Command string for clock controllers.
`static java.lang.String` | `TIMER_STEP_BACKWARD` Command string for clock controllers.
`static java.lang.String` | `TIMER_STEP_FORWARD` Command string for clock controllers.
`static java.lang.String` | `TIMER_STOPPED` Command string for clock controllers.
`static java.lang.String` | `TIMER_UPDATED` Command string for clock controllers.
`static TimerStatus` | `UPDATE` Used when the timer is moved to a specific value, not when the clock is running incrementally.

Constructor Summary
`TimerStatus(java.lang.String description)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### TIMER_STEP_FORWARD

    public static final java.lang.String TIMER_STEP_FORWARD

  Command string for clock controllers.

  See Also:
    Constant Field Values

### TIMER_STEP_BACKWARD

    public static final java.lang.String TIMER_STEP_BACKWARD

  Command string for clock controllers.

  See Also:
    Constant Field Values

### TIMER_FORWARD

    public static final java.lang.String TIMER_FORWARD

  Command string for clock controllers.

  See Also:
    Constant Field Values

### TIMER_BACKWARD

    public static final java.lang.String TIMER_BACKWARD

  Command string for clock controllers.

  See Also:
    Constant Field Values

### TIMER_STOPPED

    public static final java.lang.String TIMER_STOPPED

  Command string for clock controllers.

  See Also:
    Constant Field Values

### TIMER_UPDATED

    public static final java.lang.String TIMER_UPDATED

  Command string for clock controllers.

  See Also:
    Constant Field Values

### TIMER_ACTIVE

    public static final java.lang.String TIMER_ACTIVE

  Command string for clock controllers.

  See Also:
    Constant Field Values

### TIMER_INACTIVE

    public static final java.lang.String TIMER_INACTIVE

  Command string for clock controllers.

  See Also:
    Constant Field Values

### STEP_FORWARD

    public static final TimerStatus STEP_FORWARD

  Indicates that the clock has been moved incrementally forward, stepping by a set value controlled by some other mechanism. Not set when the clock is changed due to normal running.

### STEP_BACKWARD

    public static final TimerStatus STEP_BACKWARD

  Indicates that the clock has been moved incrementally backward, stepping by a set value controlled by some other mechanism. Not set when the clock is changed due to normal running.

### FORWARD

    public static final TimerStatus FORWARD

  Indicates the clock is running, and time has been incremented by the clock.

### BACKWARD

    public static final TimerStatus BACKWARD

  Indicates the clock is running, and time has been decremented by the clock.

### STOPPED

    public static final TimerStatus STOPPED

  Indicates that the clock is no longer running.

### UPDATE

    public static final TimerStatus UPDATE

  Used when the timer is moved to a specific value, not when the clock is running incrementally. Indicates a jump in time.

### ACTIVE

    public static final TimerStatus ACTIVE

  Indicates that the clock is active and may be sending events.

### INACTIVE

    public static final TimerStatus INACTIVE

  Indicates that the clock is inactive and will not be sending events.

### description

    protected java.lang.String description

Constructor Detail

### TimerStatus

    public TimerStatus(java.lang.String description)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details